/**
 * 关闭撤案通知书显示层
 * @param id
 */
function closeRevokedDivFn(id){
	closeDiv('P0000011');
	submitPageForm();
}

/**
 * 往撤案通知书层插入数据
 * @param flag 回调数据
 */
function setDataRevokedFn(flag){
	$("#claimNoP0000011").val(flag.claimNo);
	$("#h_claimNoP0000011").val(flag.claimNo);
	$("#objIdP0000011").val(flag.objId);
	$("#applicantNameP0000011").val(flag.applicantName);
	$("#insuredNameP0000011").val(flag.insuredName);
	$("#insuredPidP0000011").val(flag.insuredPid);
	$("#policyNoP0000011").val(flag.policyNo);
	$("#accTypeNameP0000011").val(flag.accTypeName);
	$("#moveReasonDescP0000011").val(flag.moveReasonDesc);
	$("#phoneNoP0000011").val(flag.infoTel);
	$("#printDateP0000011").val(flag.printDate);
	$("#branchNameP0000011").val(flag.branchName);
	//REQHOP1-161014-1427 理赔通知书优化 lujibin 20161226 
	$("#name1").val(flag.appName);
	$("#cDate1").val(flag.applyDate);
	$("#iName1").val(flag.insuredName);
	$("#pid1").val(flag.insuredPid);
	$("#iName2").val(flag.insuredName);
	$("#pid2").val(flag.insuredPid);
	
	//REQHOP1-161014-1427 理赔通知书优化 lujibin 20161226 
	
}

/**
 * 撤案通知书保存功能
 */
function saveNoticeP11Fn(){
	var objId = $("#objIdP0000011").val();
	var moveReasonDesc = $("#moveReasonDescP0000011").val();
	var printDate = $("#printDateP0000011").val();
	var infoTel = $("#phoneNoP0000011").val();
	var jsonStr = '{"objId":"' + objId +'","printDate":"' +printDate+'","moveReasonDesc":"' +moveReasonDesc+'","infoTel":"' +infoTel+'"}';
	$.ajax({
		type:"POST",
		contentType:"application/json; charset=UTF-8",
		url:"/claimserver/claim/notice/savecanoticeInfo.do",
		data:jsonStr,
		error :function(){
			alert("系统错误，请稍后再试。");
		},
		success :function(data){
			if(data=="00"){
				alert("撤案通知单保存成功。");
			}else{
				alert("撤案通知单保存失败。");
			}
		}
	});
}

/**
 * 撤案通知书打印功能
 */
function pringNoticeP11Fn(){
	var objId = $("#objIdP0000011").val();
	var infoTel = $("#phoneNoP0000011").val();
	$.ajax({
		type:"POST",
		url:"/claimserver/claim/notice/printP0000011Info.do",
		data:{"objId":objId,"infoTel":infoTel},
		error :function(){
			alert("系统错误，请稍后再试。");
		},
		success :function(data){
			if(data=="00"){
				alert("打印通知单成功。");
			}else{
				alert("打印通知单失败。");
			}
		}
	});
}